# Generated by Django 5.0.10 on 2024-12-14 21:24

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('memory_maps', '0001_initial'),
        ('devices', '0002_rename_transductor_to_meter_tables'),
    ]

    operations = [
        migrations.RenameField(
            model_name='memorymap',
            old_name='cumulative_measurements',
            new_name='energy_measurements',
        ),

        migrations.AlterField(
            model_name='memorymap',
            name='model',
            field=models.OneToOneField(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='memory_map',
                to='devices.metermodel'
            ),
        ),
    ]